Project

General

Profile

Bug #46358

FAIL: test_full_health (tasks.mgr.dashboard.test_health.HealthTest)

Added by Kefu Chai 30 days ago. Updated 30 days ago.

Status:
Rejected
Priority:
Normal
Assignee:
-
Category:
-
Target version:
-
% Done:

0%

Source:
Tags:
Backport:
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Component(RADOS):
Monitor
Pull request ID:
Crash signature:

Description

2020-07-03T02:19:59.350 INFO:tasks.cephfs_test_runner:======================================================================
2020-07-03T02:19:59.351 INFO:tasks.cephfs_test_runner:FAIL: test_full_health (tasks.mgr.dashboard.test_health.HealthTest)
2020-07-03T02:19:59.351 INFO:tasks.cephfs_test_runner:----------------------------------------------------------------------
2020-07-03T02:19:59.351 INFO:tasks.cephfs_test_runner:Traceback (most recent call last):
2020-07-03T02:19:59.352 INFO:tasks.cephfs_test_runner:  File "/home/teuthworker/src/git.ceph.com_ceph-c_wip-kefu-testing-2020-07-01-2343/qa/tasks/mgr/dashboard/helper.py", line 367, in assertSchema
2020-07-03T02:19:59.352 INFO:tasks.cephfs_test_runner:    return _validate_json(data, schema)
2020-07-03T02:19:59.352 INFO:tasks.cephfs_test_runner:  File "/home/teuthworker/src/git.ceph.com_ceph-c_wip-kefu-testing-2020-07-01-2343/qa/tasks/mgr/dashboard/helper.py", line 532, in _validate_json
2020-07-03T02:19:59.352 INFO:tasks.cephfs_test_runner:    for key, sub_schema in schema.sub_elems.items()
2020-07-03T02:19:59.353 INFO:tasks.cephfs_test_runner:tasks.mgr.dashboard.helper._ValError: In `input['fs_map']['filesystems'][0]['mdsmap']`: missing keys: {'min_compat_client'}
2020-07-03T02:19:59.353 INFO:tasks.cephfs_test_runner:
2020-07-03T02:19:59.354 INFO:tasks.cephfs_test_runner:During handling of the above exception, another exception occurred:
2020-07-03T02:19:59.354 INFO:tasks.cephfs_test_runner:
2020-07-03T02:19:59.355 INFO:tasks.cephfs_test_runner:Traceback (most recent call last):
2020-07-03T02:19:59.355 INFO:tasks.cephfs_test_runner:  File "/home/teuthworker/src/git.ceph.com_ceph-c_wip-kefu-testing-2020-07-01-2343/qa/tasks/mgr/dashboard/test_health.py", line 290, in test_full_health
2020-07-03T02:19:59.355 INFO:tasks.cephfs_test_runner:    self.assertSchema(data, schema)
2020-07-03T02:19:59.356 INFO:tasks.cephfs_test_runner:  File "/home/teuthworker/src/git.ceph.com_ceph-c_wip-kefu-testing-2020-07-01-2343/qa/tasks/mgr/dashboard/helper.py", line 369, in assertSchema
2020-07-03T02:19:59.356 INFO:tasks.cephfs_test_runner:    self.assertEqual(data, str(e))
2020-07-03T02:19:59.356 INFO:tasks.cephfs_test_runner:AssertionError: {'health': {'status': 'HEALTH_OK', 'check[288151 chars]: 0}} != "In `input['fs_map']['filesystems'][0]['m[41 chars]nt'}" 

2020-07-03T02:19:59.358 INFO:tasks.cephfs_test_runner:======================================================================
2020-07-03T02:19:59.358 INFO:tasks.cephfs_test_runner:FAIL: test_full_health (tasks.mgr.dashboard.test_health.HealthTest)
2020-07-03T02:19:59.359 INFO:tasks.cephfs_test_runner:----------------------------------------------------------------------
2020-07-03T02:19:59.359 INFO:tasks.cephfs_test_runner:Traceback (most recent call last):
2020-07-03T02:19:59.359 INFO:tasks.cephfs_test_runner:  File "/home/teuthworker/src/git.ceph.com_ceph-c_wip-kefu-testing-2020-07-01-2343/qa/tasks/mgr/dashboard/helper.py", line 367, in assertSchema
2020-07-03T02:19:59.360 INFO:tasks.cephfs_test_runner:    return _validate_json(data, schema)
2020-07-03T02:19:59.360 INFO:tasks.cephfs_test_runner:  File "/home/teuthworker/src/git.ceph.com_ceph-c_wip-kefu-testing-2020-07-01-2343/qa/tasks/mgr/dashboard/helper.py", line 532, in _validate_json
2020-07-03T02:19:59.360 INFO:tasks.cephfs_test_runner:    for key, sub_schema in schema.sub_elems.items()
2020-07-03T02:19:59.360 INFO:tasks.cephfs_test_runner:tasks.mgr.dashboard.helper._ValError: In `input['fs_map']['filesystems'][0]['mdsmap']`: missing keys: {'min_compat_client'}
2020-07-03T02:19:59.361 INFO:tasks.cephfs_test_runner:
2020-07-03T02:19:59.361 INFO:tasks.cephfs_test_runner:During handling of the above exception, another exception occurred:
2020-07-03T02:19:59.361 INFO:tasks.cephfs_test_runner:
2020-07-03T02:19:59.362 INFO:tasks.cephfs_test_runner:Traceback (most recent call last):
2020-07-03T02:19:59.362 INFO:tasks.cephfs_test_runner:  File "/home/teuthworker/src/git.ceph.com_ceph-c_wip-kefu-testing-2020-07-01-2343/qa/tasks/mgr/dashboard/test_health.py", line 290, in test_full_health
2020-07-03T02:19:59.362 INFO:tasks.cephfs_test_runner:    self.assertSchema(data, schema)
2020-07-03T02:19:59.362 INFO:tasks.cephfs_test_runner:  File "/home/teuthworker/src/git.ceph.com_ceph-c_wip-kefu-testing-2020-07-01-2343/qa/tasks/mgr/dashboard/helper.py", line 369, in assertSchema
2020-07-03T02:19:59.363 INFO:tasks.cephfs_test_runner:    self.assertEqual(data, str(e))
2020-07-03T02:19:59.363 INFO:tasks.cephfs_test_runner:AssertionError: {'health': {'status': 'HEALTH_OK', 'check[288151 chars]: 0}} != "In `input['fs_map']['filesystems'][0]['m[41 chars]nt'}" 

i believe it's a regression introduced by 157774d685d8565a011c09b9cd917888a4f7ed22

/a/kchai-2020-07-03_01:47:32-rados-wip-kefu-testing-2020-07-01-2343-distro-basic-smithi/5196254

History

#1 Updated by Kefu Chai 30 days ago

  • Status changed from New to Rejected

Also available in: Atom PDF